Package ru.bitel.bgbilling.modules.megafon.common.bean

# Class MegafonContractOption

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.modules.megafon.common.bean.MegafonContractOption

All Implemented Interfaces:
  `Serializable`, `Idable`

public class MegafonContractOption extends Id
Доп.опция Мегафона с привязкой к договору

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MegafonContractOption()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getContractId()`
  `int`
  `getContractProductId()`
  `LocalDateTime`
  `getEndTime()`
  `int`
  `getOptionId()`
  `long`
  `getOrderId()`
  `LocalDateTime`
  `getStartTime()`
  `MegafonContractProductStatus`
  `getStatus()`
  `void`
  `setContractId(int contractId)`
  `void`
  `setContractProductId(int contractProductId)`
  `void`
  `setEndTime(LocalDateTime endTime)`
  `void`
  `setOptionId(int optionId)`
  `void`
  `setOrderId(long orderId)`
  `void`
  `setStartTime(LocalDateTime startTime)`
  `void`
  `setStatus(MegafonContractProductStatus status)`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MegafonContractOption

    public MegafonContractOption()

- ## Method Details

  - ### getContractId

    public int getContractId()

  - ### setContractId

    public void setContractId(int contractId)

  - ### getOptionId

    public int getOptionId()

  - ### setOptionId

    public void setOptionId(int optionId)

  - ### getContractProductId

    public int getContractProductId()

  - ### setContractProductId

    public void setContractProductId(int contractProductId)

  - ### getStartTime

    public LocalDateTime getStartTime()

  - ### setStartTime

    public void setStartTime(LocalDateTime startTime)

  - ### getEndTime

    public LocalDateTime getEndTime()

  - ### setEndTime

    public void setEndTime(LocalDateTime endTime)

  - ### getOrderId

    public long getOrderId()

  - ### setOrderId

    public void setOrderId(long orderId)

  - ### getStatus

    public MegafonContractProductStatus getStatus()

  - ### setStatus

    public void setStatus(MegafonContractProductStatus status)